Subject: Re: [PATCH 3/9] Makefile: turn on NO_MMAP when building with ASan

From: Taylor Blau <[email-masked]>
Date: Wed, 12 Nov 2025 22:12:02 -0500

On Wed, Nov 12, 2025 at 12:26:13PM +0100, Patrick Steinhardt wrote:
> On Wed, Nov 12, 2025 at 03:02:15AM -0500, Jeff King wrote:
> > diff --git a/Makefile b/Makefile
> > index 7e0f77e298..0f44268405 100644
> > --- a/Makefile
> > +++ b/Makefile
> > @@ -1587,6 +1587,7 @@ SANITIZE_LEAK = YesCompiledWithIt
> >  endif
> >  ifneq ($(filter address,$(SANITIZERS)),)
> >  NO_REGEX = NeededForASAN
> > +NO_MMAP = NeededForASAN
> >  SANITIZE_ADDRESS = YesCompiledWithIt
> >  endif
> >  endif
>
> Let's also apply this to Meson. Thanks!

Not to derail us too far off topic, but... ;-)

I wonder what (if anything) our policy should be for keeping the
Makefile and Meson build scripts in sync. On the one hand, I do not want
the two of them to drift (too far) apart. But on the other, I am not
sure that everyone who may be touching the Makefile are necessarily
familiar enough to make the equivalent changes to the Meson build files.

I genuinely don't have a very strong opinion here or even really a clear
sense of what the right thing to do is. Just something that crossed my
mind while reading and figured I'd write down in case others had similar
thoughts.

Thanks,
Taylor